Page MenuHomePhabricator

Configuration variable in CX for the removal of old translation drafts
Closed, ResolvedPublic

Description

As part of the efforts to remove very old drafts from the CX database (T183890), we need to set a variable that captures the maximum age we want drafts to live.

Configuration variable in CX: $wgDraftMaxAge (default value for the script in T189087)

The default value should be 15 months. This is one year after the user receives the 3 month warning in T89707.

Event Timeline

Pginer-WMF triaged this task as Normal priority.Mar 7 2018, 8:53 AM
Pginer-WMF created this task.
Pginer-WMF raised the priority of this task from Normal to High.Jun 26 2018, 7:45 AM

Change 443089 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Config variable for age of purged unpublished drafts

https://gerrit.wikimedia.org/r/443089

Change 443089 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Config variable for age of purged unpublished drafts

https://gerrit.wikimedia.org/r/443089

Petar.petkovic moved this task from In Review to QA on the Language-2018-Apr-June board.
Petar.petkovic moved this task from Backlog to Done on the CX-deployments board.
Petar.petkovic removed a subscriber: gerritbot.
Etonkovidova closed this task as Resolved.Jul 9 2018, 11:43 PM